Bug 127207 - [Mac][WK2] Unable to play video protected by session cookies
Summary: [Mac][WK2] Unable to play video protected by session cookies
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jer Noble
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-17 17:12 PST by Jer Noble
Modified: 2014-01-22 10:24 PST (History)
3 users (show)

See Also:


Attachments
Patch (13.27 KB, patch)
2014-01-17 17:18 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Patch (9.67 KB, patch)
2014-01-18 00:16 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Patch (8.83 KB, patch)
2014-01-18 08:54 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Patch (8.73 KB, patch)
2014-01-20 10:44 PST, Jer Noble
no flags Details | Formatted Diff | Diff
Patch (8.94 KB, patch)
2014-01-21 13:43 PST, Jer Noble
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jer Noble 2014-01-17 17:12:28 PST
[Mac][WK2] Unable to play video protected by session cookies
Comment 1 Jer Noble 2014-01-17 17:18:30 PST
Created attachment 221515 [details]
Patch
Comment 2 Jer Noble 2014-01-18 00:16:04 PST
Created attachment 221539 [details]
Patch
Comment 3 Jer Noble 2014-01-18 08:54:15 PST
Created attachment 221551 [details]
Patch

Pulled out SessionTracker now that #126918 got rolled out.
Comment 4 Alexey Proskuryakov 2014-01-18 10:24:49 PST
Hopefully SessionTracker will be re-landed soon, there is a clear path forward for how to resolve the bugs it initially caused.
Comment 5 Sam Weinig 2014-01-19 18:04:20 PST
Should we be doing this on all OS versions, or just 10.9?
Comment 6 Jer Noble 2014-01-20 10:19:56 PST
(In reply to comment #5)
> Should we be doing this on all OS versions, or just 10.9?

The patch should already bail out early if the overridden class doesn't exist, but I can add a check to make sure that the method also exists, so this should be safe to do everywhere.
Comment 7 Jer Noble 2014-01-20 10:44:50 PST
Created attachment 221674 [details]
Patch
Comment 8 Jer Noble 2014-01-21 13:43:12 PST
Created attachment 221784 [details]
Patch

Fixed the Mac EWS bots.
Comment 9 WebKit Commit Bot 2014-01-22 10:24:54 PST
Comment on attachment 221784 [details]
Patch

Clearing flags on attachment: 221784

Committed r162531: <http://trac.webkit.org/changeset/162531>
Comment 10 WebKit Commit Bot 2014-01-22 10:24:56 PST
All reviewed patches have been landed.  Closing bug.